
QGIS Application - Bug report #17226

Geopackage "Select Vector Layers to Add" dialogue has wrong nr of features

2017-10-02 11:03 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Even Rouault

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25125

Description

If one drags and drops a geopackage into QGIS master, the column labeled "Number of features" in the "Select Vector Layers to Add"

dialogue is always listing zero.

Instead the number of features seem to be listed in the "Layer name" column, separated by a colon. See screenshot attached.

In 2.18.x this still worked fine - so seems to be a regression.

Related issues:

Duplicates QGIS Application - Bug report # 17222: OpenFileGDB feature count s... Closed 2017-09-29

History

#1 - 2017-10-02 12:41 PM - Andreas Neumann

- File gpkg_drag_and_drop_dialogue_issue.png added

screenshot demonstrating the issue.

#2 - 2017-10-02 12:55 PM - Andreas Neumann

Same issue appears on Linux

#3 - 2017-10-02 01:24 PM - Even Rouault

- Assignee set to Even Rouault

#4 - 2017-10-02 01:25 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#5 - 2017-10-21 12:41 AM - Even Rouault

- Status changed from Open to Feedback

Can you retry ? I can't reproduce this . I belive this has been fixed and is a duplicate of #17222

#6 - 2017-10-23 10:28 AM - Jürgen Fischer

- Duplicates Bug report #17222: OpenFileGDB feature count showing in layer name value added
#7 - 2017-10-23 10:31 AM - Andreas Neumann

- Resolution set to fixed/implemented

Seems to be fixed now.

#8 - 2017-10-23 10:32 AM - Andreas Neumann

- Status changed from Feedback to Closed

Files
